# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    ARMBaseModel,
    Addon,
    AddonList,
    Address,
    Alert,
    AlertErrorDetails,
    AlertList,
    ArcAddon,
    AsymmetricEncryptedSecret,
    Authentication,
    AzureContainerInfo,
    BandwidthSchedule,
    BandwidthSchedulesList,
    ClientAccessRight,
    CloudEdgeManagementRole,
    CloudErrorBody,
    CniConfig,
    ComputeResource,
    ContactDetails,
    Container,
    ContainerList,
    DCAccessCode,
    DataBoxEdgeDevice,
    DataBoxEdgeDeviceExtendedInfo,
    DataBoxEdgeDeviceExtendedInfoPatch,
    DataBoxEdgeDeviceList,
    DataBoxEdgeDevicePatch,
    DataBoxEdgeMoveRequest,
    DataBoxEdgeSku,
    DataBoxEdgeSkuList,
    EdgeProfile,
    EdgeProfilePatch,
    EdgeProfileSubscription,
    EdgeProfileSubscriptionPatch,
    EtcdInfo,
    FileEventTrigger,
    FileSourceInfo,
    GenerateCertResponse,
    ImageRepositoryCredential,
    IoTAddon,
    IoTDeviceInfo,
    IoTEdgeAgentInfo,
    IoTRole,
    Ipv4Config,
    Ipv6Config,
    Job,
    JobErrorDetails,
    JobErrorItem,
    KubernetesClusterInfo,
    KubernetesIPConfiguration,
    KubernetesRole,
    KubernetesRoleCompute,
    KubernetesRoleNetwork,
    KubernetesRoleResources,
    KubernetesRoleStorage,
    KubernetesRoleStorageClassInfo,
    LoadBalancerConfig,
    MECRole,
    MetricConfiguration,
    MetricCounter,
    MetricCounterSet,
    MetricDimension,
    MetricDimensionV1,
    MetricSpecificationV1,
    MonitoringMetricConfiguration,
    MonitoringMetricConfigurationList,
    MountPointMap,
    NetworkAdapter,
    NetworkAdapterPosition,
    NetworkSettings,
    Node,
    NodeInfo,
    NodeList,
    Operation,
    OperationDisplay,
    OperationsList,
    Order,
    OrderList,
    OrderStatus,
    PeriodicTimerEventTrigger,
    PeriodicTimerSourceInfo,
    RefreshDetails,
    ResourceIdentity,
    ResourceMoveDetails,
    ResourceTypeSku,
    Role,
    RoleList,
    RoleSinkInfo,
    Secret,
    SecuritySettings,
    ServiceSpecification,
    Share,
    ShareAccessRight,
    ShareList,
    Sku,
    SkuCapability,
    SkuCost,
    SkuInformation,
    SkuInformationList,
    SkuLocationInfo,
    StorageAccount,
    StorageAccountCredential,
    StorageAccountCredentialList,
    StorageAccountList,
    SubscriptionRegisteredFeatures,
    SymmetricKey,
    SystemData,
    TrackingInfo,
    Trigger,
    TriggerList,
    UpdateDetails,
    UpdateDownloadProgress,
    UpdateInstallProgress,
    UpdateSummary,
    UploadCertificateRequest,
    UploadCertificateResponse,
    User,
    UserAccessRight,
    UserList,
)

from ._data_box_edge_management_client_enums import (  # type: ignore
    AccountType,
    AddonState,
    AddonType,
    AlertSeverity,
    AuthenticationType,
    AzureContainerDataFormat,
    ClientPermissionType,
    ContainerStatus,
    CreatedByType,
    DataBoxEdgeDeviceKind,
    DataBoxEdgeDeviceStatus,
    DataPolicy,
    DayOfWeek,
    DeviceType,
    DownloadPhase,
    EncryptionAlgorithm,
    HostPlatformType,
    InstallRebootBehavior,
    JobStatus,
    JobType,
    KeyVaultSyncStatus,
    KubernetesNodeType,
    KubernetesState,
    MetricAggregationType,
    MetricCategory,
    MetricUnit,
    MonitoringStatus,
    MountType,
    MsiIdentityType,
    NetworkAdapterDHCPStatus,
    NetworkAdapterRDMAStatus,
    NetworkAdapterStatus,
    NetworkGroup,
    NodeStatus,
    OrderState,
    PlatformType,
    PosixComplianceStatus,
    ResourceMoveStatus,
    RoleStatus,
    RoleTypes,
    SSLStatus,
    ShareAccessProtocol,
    ShareAccessType,
    ShareStatus,
    ShipmentType,
    SkuAvailability,
    SkuName,
    SkuSignupOption,
    SkuTier,
    SkuVersion,
    StorageAccountStatus,
    SubscriptionState,
    TimeGrain,
    TriggerEventType,
    UpdateOperation,
    UpdateOperationStage,
    UpdateStatus,
    UpdateType,
    UserType,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "ARMBaseModel",
    "Addon",
    "AddonList",
    "Address",
    "Alert",
    "AlertErrorDetails",
    "AlertList",
    "ArcAddon",
    "AsymmetricEncryptedSecret",
    "Authentication",
    "AzureContainerInfo",
    "BandwidthSchedule",
    "BandwidthSchedulesList",
    "ClientAccessRight",
    "CloudEdgeManagementRole",
    "CloudErrorBody",
    "CniConfig",
    "ComputeResource",
    "ContactDetails",
    "Container",
    "ContainerList",
    "DCAccessCode",
    "DataBoxEdgeDevice",
    "DataBoxEdgeDeviceExtendedInfo",
    "DataBoxEdgeDeviceExtendedInfoPatch",
    "DataBoxEdgeDeviceList",
    "DataBoxEdgeDevicePatch",
    "DataBoxEdgeMoveRequest",
    "DataBoxEdgeSku",
    "DataBoxEdgeSkuList",
    "EdgeProfile",
    "EdgeProfilePatch",
    "EdgeProfileSubscription",
    "EdgeProfileSubscriptionPatch",
    "EtcdInfo",
    "FileEventTrigger",
    "FileSourceInfo",
    "GenerateCertResponse",
    "ImageRepositoryCredential",
    "IoTAddon",
    "IoTDeviceInfo",
    "IoTEdgeAgentInfo",
    "IoTRole",
    "Ipv4Config",
    "Ipv6Config",
    "Job",
    "JobErrorDetails",
    "JobErrorItem",
    "KubernetesClusterInfo",
    "KubernetesIPConfiguration",
    "KubernetesRole",
    "KubernetesRoleCompute",
    "KubernetesRoleNetwork",
    "KubernetesRoleResources",
    "KubernetesRoleStorage",
    "KubernetesRoleStorageClassInfo",
    "LoadBalancerConfig",
    "MECRole",
    "MetricConfiguration",
    "MetricCounter",
    "MetricCounterSet",
    "MetricDimension",
    "MetricDimensionV1",
    "MetricSpecificationV1",
    "MonitoringMetricConfiguration",
    "MonitoringMetricConfigurationList",
    "MountPointMap",
    "NetworkAdapter",
    "NetworkAdapterPosition",
    "NetworkSettings",
    "Node",
    "NodeInfo",
    "NodeList",
    "Operation",
    "OperationDisplay",
    "OperationsList",
    "Order",
    "OrderList",
    "OrderStatus",
    "PeriodicTimerEventTrigger",
    "PeriodicTimerSourceInfo",
    "RefreshDetails",
    "ResourceIdentity",
    "ResourceMoveDetails",
    "ResourceTypeSku",
    "Role",
    "RoleList",
    "RoleSinkInfo",
    "Secret",
    "SecuritySettings",
    "ServiceSpecification",
    "Share",
    "ShareAccessRight",
    "ShareList",
    "Sku",
    "SkuCapability",
    "SkuCost",
    "SkuInformation",
    "SkuInformationList",
    "SkuLocationInfo",
    "StorageAccount",
    "StorageAccountCredential",
    "StorageAccountCredentialList",
    "StorageAccountList",
    "SubscriptionRegisteredFeatures",
    "SymmetricKey",
    "SystemData",
    "TrackingInfo",
    "Trigger",
    "TriggerList",
    "UpdateDetails",
    "UpdateDownloadProgress",
    "UpdateInstallProgress",
    "UpdateSummary",
    "UploadCertificateRequest",
    "UploadCertificateResponse",
    "User",
    "UserAccessRight",
    "UserList",
    "AccountType",
    "AddonState",
    "AddonType",
    "AlertSeverity",
    "AuthenticationType",
    "AzureContainerDataFormat",
    "ClientPermissionType",
    "ContainerStatus",
    "CreatedByType",
    "DataBoxEdgeDeviceKind",
    "DataBoxEdgeDeviceStatus",
    "DataPolicy",
    "DayOfWeek",
    "DeviceType",
    "DownloadPhase",
    "EncryptionAlgorithm",
    "HostPlatformType",
    "InstallRebootBehavior",
    "JobStatus",
    "JobType",
    "KeyVaultSyncStatus",
    "KubernetesNodeType",
    "KubernetesState",
    "MetricAggregationType",
    "MetricCategory",
    "MetricUnit",
    "MonitoringStatus",
    "MountType",
    "MsiIdentityType",
    "NetworkAdapterDHCPStatus",
    "NetworkAdapterRDMAStatus",
    "NetworkAdapterStatus",
    "NetworkGroup",
    "NodeStatus",
    "OrderState",
    "PlatformType",
    "PosixComplianceStatus",
    "ResourceMoveStatus",
    "RoleStatus",
    "RoleTypes",
    "SSLStatus",
    "ShareAccessProtocol",
    "ShareAccessType",
    "ShareStatus",
    "ShipmentType",
    "SkuAvailability",
    "SkuName",
    "SkuSignupOption",
    "SkuTier",
    "SkuVersion",
    "StorageAccountStatus",
    "SubscriptionState",
    "TimeGrain",
    "TriggerEventType",
    "UpdateOperation",
    "UpdateOperationStage",
    "UpdateStatus",
    "UpdateType",
    "UserType",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
